#!/bin/bash
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#          <new-version>
#        * <postinst> `abort-remove'
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package

case "$1" in
    configure)
	. /usr/share/stella-base-config/getID.sh
	#Lancelot "21f5": lp:#1389616
	#memphis-S "2af7": lp:1333062
	#memphis2 "2b2c": lp:1333062
	
	if [ "$ID" = "21f5" ] ||  [ "$ID" = "2af7" ] || [ "$ID" = "2b2c" ]
	then
		cp -f /usr/share/volatile/workaround/workaround_lp1389616 /etc/pm/sleep.d
	fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0
